package com.developgadget.unity_ads;

import android.view.View;

import com.unity3d.ads.IUnityAdsListener;
import com.unity3d.ads.UnityAds;
import com.unity3d.ads.mediation.IUnityAdsExtendedListener;
import com.unity3d.services.banners.IUnityBannerListener;


import java.util.HashMap;
import java.util.Map;

public class Listeners implements IUnityAdsListener, IUnityAdsExtendedListener {

    private Map<String, Object> arguments = new HashMap<String, Object>();

    @Override
    public void onUnityAdsReady(String s) {
        arguments.clear();
        arguments.put("placementId", s);
        UnityAdsPlugin.getInstance().OnMethodCallHandler("onUnityAdsReady",  arguments);
    }

    @Override
    public void onUnityAdsStart(String s) {
        arguments.clear();
        arguments.put("placementId", s);
        UnityAdsPlugin.getInstance().OnMethodCallHandler("onUnityAdsStart",  arguments);
    }

    @Override
    public void onUnityAdsFinish(String s, UnityAds.FinishState finishState) {
        arguments.clear();
        arguments.put("placementId", s);
        arguments.put("result", finishState.ordinal());
        UnityAdsPlugin.getInstance().OnMethodCallHandler("onUnityAdsFinish",  arguments);
    }

    @Override
    public void onUnityAdsError(UnityAds.UnityAdsError unityAdsError, String s) {
        arguments.clear();
        arguments.put("error", unityAdsError.ordinal());
        arguments.put("message", s);
        UnityAdsPlugin.getInstance().OnMethodCallHandler("onUnityAdsStart",  arguments);
    }

    @Override
    public void onUnityAdsClick(String s) {
        arguments.clear();
        arguments.put("message", s);
        UnityAdsPlugin.getInstance().OnMethodCallHandler("onUnityAdsClick",  arguments);
    }

    @Override
    public void onUnityAdsPlacementStateChanged(String s, UnityAds.PlacementState placementState, UnityAds.PlacementState placementState1) {
        arguments.clear();
        arguments.put("message", s);
        UnityAdsPlugin.getInstance().OnMethodCallHandler("onUnityAdsPlacementStateChanged",  arguments);
    }

}
